import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CouponSerialNumberContainerModel } from '../../../../../../models/aggregates/erp/coupon';
import { ApiVisa, BasicApiResponseModel, Pagination, PagingResponseModel } from '../../shared';
import { BaseApiTemplateService } from '../../shared/base-api-template-service.model';
export declare class CouponLineService extends BaseApiTemplateService<CouponSerialNumberContainerModel> {
    constructor(http: HttpClient);
    getByGuidLine(guid: string, visa: ApiVisa): Observable<BasicApiResponseModel<CouponSerialNumberContainerModel>>;
    editCouponLine(dtoObject: any, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getByCriteriaLine(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<CouponSerialNumberContainerModel>>;
    export(voucherCode: string, voucherName: string, createdDate: string, apiVisa: ApiVisa): Observable<Blob>;
    exportCsvNew(voucherCode: string, voucherName: string, dateTo: string, dateFrom: string, apiVisa: ApiVisa): Observable<Blob>;
    isActivationPinValid(couponLineGuid: string, activationPin: string, visa: ApiVisa): Observable<BasicApiResponseModel<boolean>>;
}
